/*
    WMpop
    Copyright  1999-2002 Jrme SAUTRET (jerome@Sautret.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H                                                            
#  include <config.h>                                                           
#endif
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "wmpop.h"

#ifdef DMALLOC
#include "dmalloc.h"
#endif


#ifdef ESDPLAY
#  define PLAY_SOUND "esdplay %s &"
#else
#  define PLAY_SOUND "cat %s >/dev/audio &"
#endif


void play_sound(char *sound_file)
{
    char s[strlen(PLAY_SOUND) + strlen(sound_file) -1];

    sprintf(s, PLAY_SOUND, sound_file);
    system(s);
}
