/*
    WMpop
    Copyright  1999-2002 Jrme SAUTRET (jerome@Sautret.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef _X_H
#define _X_H

/* colors of led */
#define LED_RED 0
#define LED_GREEN 1
#define LED_OFF 2

void x_init(int argc, char *argv[]);
void init_pixmaps(void);
void create_cache(int, int, int, int);
void display_app(void);
int create_pixmap(char*, int);
int create_default_pixmap(int);

void set_emails_string(char **);
void update_emails_display(int);
void update_number_display(int);
void update_led_display(int);

#endif
